package com.hainaos.vc.base;

import android.app.Application;
import android.util.Log;

import com.arialyy.aria.core.Aria;
import com.hainaos.vc.manager.ConnectManager;
import com.hainaos.vc.network.NetInterfaceManager;
import com.hainaos.vc.utils.JgyUtils;
import com.hainaos.vc.utils.ToastUtil;
import com.tencent.mmkv.MMKV;

public class BaseApplication extends Application {
    private static final String TAG = "BaseApplication";

    @Override
    public void onCreate() {
        super.onCreate();

        String rootDir = MMKV.initialize(this);
        Log.i(TAG, "mmkv root: " + rootDir);
        JgyUtils.init(this);
        Aria.init(this);
        ConnectManager.init(this);
        ToastUtil.init(this);
        NetInterfaceManager.init(this);

    }
}
